# sophia-dump-pm.properties

# WARNING: default.home_folder is initialized by shell script via -Ddefault.home_folder=$HOME

default.environment=debug
default.environment_dtp=test
default.bind_port=14277
default.debug=true
#default.home_folder=/home/sualkemy/sophia-dump-${default.environment}
log4j.configuration=${default.home_folder}/log4j2.xml
#aws.credentials=${default.home_folder}/AwsCredentials.properties

#sun_data_source=SUN_prod

http.proxy.host=10.255.1.241
http.proxy.port=8080

csv.separator.field=,
csv.separator.line=\n


# programmi musicali

# sqs message pump
pmdump.sqs.max_messages_per_run=10
pmdump.sqs.max_polling_duration=4m30s
pmdump.sqs.polling_period=10s
pmdump.sqs.sender_name=pm-dump-bonifica
pmdump.sqs.service_bus_queue=${default.environment}_service_bus
pmdump.sqs.to_process_queue=${default.environment}_to_process_pmdump_bonifica
pmdump.sqs.started_queue=${default.environment}_started_pmdump_bonifica
pmdump.sqs.completed_queue=${default.environment}_completed_pmdump_bonifica
pmdump.sqs.failed_queue=${default.environment}_failed_pmdump_bonifica

# s3
pmdump.s3.upload_flag=true
pmdump.s3.delete_on_success=true
pmdump.s3.bucket=siae-sophia-datalake
pmdump.s3.path=${default.environment}/pm-dump/{year}_{month}_{day}

# year, month and day
pmdump.local.year=2018
pmdump.local.month=10
pmdump.local.day=31

pmdump.csv.print_column_names=true
pmdump.csv.print_column_types=true

pmdump.query.max_rows=100

#truncate table PERF_NEED_RECORD;
#truncate table PERF_NEED_FILE;
#truncate table PERF_MANIFESTAZIONE;
#truncate table PERF_MANIFESTAZIONE;
#truncate table PERF_UTILIZZAZIONE;
#truncate table PERF_MOVIMENTO_CONTABILE;
#truncate table PERF_DIRETTORE_ESECUZIONE;
#truncate table PERF_EVENTI_PAGATI;
#truncate table PERF_PROGRAMMA_MUSICALE;
#truncate table PERF_MOVIMENTAZIONE_LOGISTICA_PM;
#alter table PERF_PROGRAMMA_MUSICALE AUTO_INCREMENT=1000000000;
#commit;

# csv containing query indexes subset to be executed
#pmdump.query.execution_subset=0,1,2,3,4,5,6,7,8,9
#pmdump.query.execution_subset=1

pmdump.ref_date.from=2017-10
pmdump.ref_date.to=2017-10

# programma_musicale
pmdump.query.0.entity=PERF_PROGRAMMA_MUSICALE_BONIFICA
pmdump.query.0.sql= \
	SELECT PM.ID_PROGRAMMA_MUSICALE AS ID_PROGRAMMA_MUSICALE, \
       PM.NUMERO AS NUMERO_PROGRAMMA_MUSICALE, \
       PM.TIPO AS TIPO_PM, \
       PM.SUPPORTO_PM AS SUPPORTO_PM, \
       PM.SUPPORTO_PM AS FOGLIO, \
       PM.DATA_ASSEGNAZIONE AS DATA_ASSEGNAZIONE, \
       PM.DATA_RESTITUZIONE AS DATA_RESTITUZIONE, \
       PM.DATA_COMPILAZIONE AS DATA_COMPILAZIONE, \
       PM.STATO AS STATO_PM, \
       PM.DATA_ANNULLAMENTO AS DATA_ANNULLAMENTO, \
       PM.FOGLIO_SEGUE_DI AS FOGLIO_SEGUE_DI, \
       PM.FOGLIO_SEGUE_DI AS PM_RIFERIMENTO, \
       PM.CAUSA_ANNULLAMENTO AS CAUSA_ANNULLAMENTO, \
       STATO_PM.DESCRIZIONE AS STATO_WEB, \
       NVL(( SELECT COUNT (1) FROM PM_QUADRO_D PQD WHERE PQD.ID_PROGRAMMA_MUSICALE=PM.ID_PROGRAMMA_MUSICALE),0) AS TOTALE_CEDOLE, \
       NVL(( \
             SELECT \
               SUM(CASE \
                   WHEN INSTR (NVL (DURATA_ESECUZIONE, 0), ':') > 0 \
                     THEN \
                       CASE \
                       WHEN DECODE (REPLACE (TRANSLATE (NVL (SUBSTR (DURATA_ESECUZIONE,1,INSTR (NVL (DURATA_ESECUZIONE, 0), ':') - 1),'0'),'1234567890','##########'),'#'),NULL, NVL (SUBSTR (DURATA_ESECUZIONE,1,INSTR (NVL (DURATA_ESECUZIONE, 0), ':') - 1),'0'),NULL) IS NOT NULL \
                            AND DECODE (REPLACE (TRANSLATE (NVL (SUBSTR (DURATA_ESECUZIONE,INSTR (NVL (DURATA_ESECUZIONE, 0),':')+ 1),0),'1234567890','##########'),'#'),NULL, NVL ( SUBSTR ( DURATA_ESECUZIONE, INSTR (NVL (DURATA_ESECUZIONE, 0),':')+ 1),0),NULL) IS NOT NULL \
                         THEN TO_NUMBER (NVL (SUBSTR (DURATA_ESECUZIONE, 1, INSTR (NVL (DURATA_ESECUZIONE, 0), ':') - 1),'0')) * 60 + TO_NUMBER (NVL (SUBSTR (DURATA_ESECUZIONE,INSTR (NVL (DURATA_ESECUZIONE, 0), ':') + 1),'0')) \
                       ELSE 0 \
                       END \
                   ELSE \
                     CASE \
                     WHEN DECODE ( REPLACE (TRANSLATE (DURATA_ESECUZIONE,'1234567890','##########'),'#'),NULL, DURATA_ESECUZIONE, NULL) IS NOT NULL \
                       THEN TO_NUMBER (DURATA_ESECUZIONE) \
                     ELSE 0 \
                     END \
                   END) \
             FROM PM_QUADRO_D PQD WHERE PQD.ID_PROGRAMMA_MUSICALE=PM.ID_PROGRAMMA_MUSICALE \
           ),0) AS TOTALE_DURATA_CEDOLE, \
       ( SELECT COUNT (1) FROM PROGRAMMA_MUSICALE_EVENTO PME WHERE PME.ID_PROGRAMMA_MUSICALE = PM.ID_PROGRAMMA_MUSICALE ) AS GIORNATE_TRATTENIMENTO, \
       ( SELECT decode(PME.FLAG_GRUPPO_PRINCIPALE,null,0,PME.FLAG_GRUPPO_PRINCIPALE)  FROM PROGRAMMA_MUSICALE_EVENTO PME WHERE PME.ID_PROGRAMMA_MUSICALE = PM.ID_PROGRAMMA_MUSICALE and ROWNUM <= 1) AS FLAG_GRUPPO_PRINCIPALE, \
       TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') as DATA_BONIFICA \
	FROM PROGRAMMA_MUSICALE PM, PROGRAMMA_MUSICALE_WEB PM_WEB, APMO_STATO_PM STATO_PM \
	WHERE PM.STATO='V' AND PM.ID_PROGRAMMA_MUSICALE=PM_WEB.ID_PM_WEB \
      AND PM.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') \
      AND STATO_PM.ID_STATO = PM_WEB.ID_STATO \
      AND TRUNC(PM.DATA_158,'MONTH') >= TO_DATE('{from-year-month}','YYYY-MM') \
      AND TRUNC(PM.DATA_158,'MONTH') <= TO_DATE('{to-year-month}','YYYY-MM')


# manifestazione
pmdump.query.1.entity=PERF_MANIFESTAZIONE_BONIFICA
pmdump.query.1.sql= \
	SELECT DISTINCT EV.ID_EVENTO AS ID_EVENTO, \
                EV.DATA_INIZIO AS DATA_INIZIO_EVENTO, \
                EV.DATA_FINE AS DATA_FINE_EVENTO, \
                EV.ORA_INIZIO AS ORA_INIZIO, \
                EV.ORA_FINE AS ORA_FINE, \
                S.CODICE_BA AS CODICE_LOCALE, \
                L.DENOMINAZIONE AS DENOMINAZIONE_LOCALE, \
                STL.COD_COMUNE AS CODICE_COMUNE, \
                CL.DESCRIZIONE AS COMUNE_LOCALE, \
                PL.DESCRIZIONE AS PROVINCIA_LOCALE, \
                RL.DESCRIZIONE AS REGIONE_LOCALE, \
                S.CODICE_BA AS CODICE_BA_LOCALE, \
                L.CAP AS CAP_LOCALE, \
                PL.SIGLA AS SIGLA_LOCALE, \
                S.DENOMINAZIONE AS SPAZIO_LOCALE, \
                L.COD_GENERE_LOCALE AS GENERE_LOCALE, \
                TP.DENOMINAZIONE ||' ' ||STL.DENOMINAZIONE ||' ' ||L.NUMERO_CIVICO AS DENOMINAZIONE_LOCALITA, \
                O.CODICE_SAP AS CODICE_SAP_ORGANIZZATORE, \
                O.PARTITA_IVA AS PARTITA_IVA_ORGANIZZATORE, \
                O.CODICE_FISCALE AS CODICE_FISCALE_ORGANIZZATORE, \
                O.COGNOME||' ' ||O.NOME AS NOME_ORGANIZZATORE, \
                CL.DESCRIZIONE AS COMUNE_ORGANIZZATORE, \
                PL.DESCRIZIONE AS PROVINCIA_ORGANIZZATORE, \
                OPE.TITOLO AS TITOLO, \
                OPE.TITOLO_ORIGINALE AS TITOLO_ORIGINALE, \
       		    TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') as DATA_BONIFICA \
		FROM SPEI_ADMIN.VIEW_PMO_DISTRIBUZIONE VPQ \
		  JOIN EVENTO EV ON EV.ID_EVENTO = VPQ.ID_EVENTO \
		  JOIN CLASSE_EVENTO CE ON EV.ID_EVENTO = CE.ID_CLASSE_EVENTO \
		  JOIN SPAZIO S ON S.ID_SPAZIO = CE.ID_SPAZIO \
		  JOIN LOCALE L ON S.ID_LOCALE = L.ID_LOCALE \
		  JOIN CODICE_SPEI CS ON CS.ID_SPAZIO = S.ID_SPAZIO \
		  JOIN ORGANIZZATORE O ON O.ID_ORGANIZZATORE = CE.ID_ORGANIZZATORE \
		  JOIN STRADA STL ON STL.ID_STRADA = L.ID_STRADA \
		  JOIN TOPONIMO TP ON STL.COD_TOPONIMO =  TP.COD_TOPONIMO \
		  JOIN COMUNE CL ON CL.COD_COMUNE = STL.COD_COMUNE \
		  JOIN PROVINCIA PL ON PL.COD_PROVINCIA = CL.COD_PROVINCIA \
		  JOIN REGIONE RL ON PL.COD_REGIONE = RL.COD_REGIONE \
		  LEFT JOIN STRADA STO ON STO.ID_STRADA = O.ID_STRADA \
		  JOIN COMUNE CLO ON CLO.COD_COMUNE = STO.COD_COMUNE \
		  JOIN PROVINCIA PLO ON PLO.COD_PROVINCIA = CLO.COD_PROVINCIA \
		  JOIN REGIONE RLO ON PLO.COD_REGIONE = RLO.COD_REGIONE \
		  LEFT JOIN OPERA_EVENTO OPEVENTO ON EV.ID_EVENTO = OPEVENTO.ID_EVENTO \
		  LEFT JOIN OPERA OPE ON  OPEVENTO.ID_OPERA  = OPE.ID_OPERA \
		WHERE TRUNC(VPQ.DATA,'MONTH') >= TO_DATE('{from-year-month}','YYYY-MM') \
		  AND TRUNC(VPQ.DATA,'MONTH') <= TO_DATE('{to-year-month}','YYYY-MM') \
		  AND ( \
		     EV.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') \
	         or OPEVENTO.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') \
		     or OPE.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') \
	      )


# movimento_contabile
pmdump.query.2.entity=PERF_MOVIMENTO_CONTABILE_BONIFICA
pmdump.query.2.sql= \
	SELECT GPM.ID_PROGRAMMA_MUSICALE, \
	  PM.NUMERO AS NUMERO_PM, \
	  GPM.ID_EVENTO AS ID_EVENTO, \
	  VPQ.ID_TIPO_MODELLO AS TIPOLOGIA_MOVIMENTO, \
	  GPM.IMPORTO_DDA AS IMPORTO_MANUALE, \
	  PME.COD_VOCE_INCASSO AS CODICE_VOCE_INCASSO, \
	  PM.PROG_PROTOC_PERMESSO AS NUMERO_PERMESSO, \
	  VPQ.IMPORTO AS TOTALE_DEM_LORDO_PM, \
	  VPQ.REVERSALE AS NUMERO_REVERSALE, \
	  PME.FLAG_GRUPPO_PRINCIPALE AS FLAG_GRUPPO_PRINCIPALE, \
	  Q.NUM_FATTURA AS NUMERO_FATTURA, \
	  VPQ.IMPORTO AS IMPORTO_DEM_TOTALE, \
	  NVL(GPE.ATTESI,0) AS NUMERO_PM_PREVISTI, \
	  CASE WHEN GPM.COD_VOCE_INCASSO='2244' THEN (NVL(GPE.ATTESI,0) - NVL(GPE.GRUPPOPRINCIPALE,0)) ELSE 0 END AS NUMERO_PM_PREVISTI_SPALLA, \
	  VPQ.DATA AS DATA_REVERSALE, \
	  PM.DATA_RESTITUZIONE AS DATA_RIENTRO, \
	  CASE WHEN Q.DATA>=PM.DATA_RESTITUZIONE THEN TO_CHAR(Q.DATA,'YYYYMM') ELSE TO_CHAR(PM.DATA_RESTITUZIONE,'YYYYMM') END AS CONTABILITA, \
	  CASE  WHEN VPQ.ID_TIPO_MODELLO = 1 THEN '501' \
	  WHEN VPQ.ID_TIPO_MODELLO = 17 OR VPQ.ID_TIPO_MODELLO = 7 THEN '221' \
	  ELSE '501' END AS TIPO_DOCUMENTO_CONTABILE, \
	  VPQ.COD_RAGGRUPPAMENTO AS CODICE_RAGGRUPPAMENTO, \
	  SED.DESCRIZIONE AS SEDE, \
	  CIR.DENOMINAZIONE AS AGENZIA, \
      TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') as DATA_BONIFICA \
	FROM PROGRAMMA_MUSICALE PM \
	  JOIN PROGRAMMA_MUSICALE_EVENTO PME ON PME.ID_PROGRAMMA_MUSICALE = PM.ID_PROGRAMMA_MUSICALE \
	  JOIN GESTIONE_PM GPM ON GPM.ID_PROGRAMMA_MUSICALE=PM.ID_PROGRAMMA_MUSICALE and PME.ID_EVENTO = GPM.ID_EVENTO \
	  JOIN SPEI_ADMIN.VIEW_PMO_DISTRIBUZIONE VPQ ON VPQ.ID_QUIETANZA = GPM.ID_QUIETANZA AND VPQ.ID_EVENTO = PME.ID_EVENTO AND VPQ.COD_VOCE_INCASSO = PME.COD_VOCE_INCASSO \
	  JOIN QUIETANZA Q ON Q.ID_QUIETANZA = GPM.ID_QUIETANZA \
	  LEFT JOIN GPM_EVENTO GPE ON GPE.ID_EVENTO=PME.ID_EVENTO AND PME.COD_VOCE_INCASSO = GPE.COD_VOCE_INCASSO \
	  LEFT JOIN SEDE SED ON SED.COD_SEDE = SUBSTR(VPQ.SEPRAG,1,2) \
	  LEFT JOIN CIRCOSCRIZIONE CIR ON CIR.COD_SEPRAG =  VPQ.SEPRAG \
	WHERE PM.STATO='V' \
	      AND PM.DATA_158 IS NOT NULL \
	      AND GPM.STATO=1 \
	      AND GPM.ID_QUIETANZA IS NOT NULL \
	      AND ( \
	        PME.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}', 'YYYY-MM-DD') \
	        or PM.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}', 'YYYY-MM-DD') \
	        or GPM.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}', 'YYYY-MM-DD') \
	        or Q.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}', 'YYYY-MM-DD') \
	      ) \
	      AND TRUNC(GPM.DATA_158,'MONTH') >= TO_DATE('{from-year-month}','YYYY-MM') \
	      AND TRUNC(GPM.DATA_158,'MONTH') <= TO_DATE('{to-year-month}','YYYY-MM')


# direttore esecuzione
pmdump.query.3.entity=PERF_DIRETTORE_ESECUZIONE_BONIFICA
pmdump.query.3.sql= \
	SELECT PM.ID_PROGRAMMA_MUSICALE AS ID_PROGRAMMA_MUSICALE, \
	       PM.NUMERO AS NUMERO_PROGRAMMA_MUSICALE, \
	       PQD.COGNOME||' '||PQD.NOME AS DIRETTORE_ESECUZIONE, \
	       PQD.SESSO AS SESSO, \
	       PQD.NUMERO_POSIZIONE_SIAE AS POSIZIONE_SIAE, \
	       PQD.LUOGO_NASCITA AS COMUNE_NASCITA, \
	       PQD.SIGLA_PROVINCIA_NASCITA AS SIGLA_PROVINCIA_NASCITA, \
	       PQD.DATA_NASCITA AS DATA_NASCITA, \
	       PQD.CODICE_FISCALE AS CODICE_FISCALE, \
	       PQD.RESIDENZA AS INDIRIZZO, \
	       PQD.CIVICO_RESIDENZA AS CIVICO_RESIDENZA, \
	       PQD.COMUNE_RESIDENZA AS COMUNE, \
	       PQD.SIGLA_PROVINCIA_RESIDENZA AS SIGLA_PROVINCIA, \
	       PQD.CAP_RESIDENZA AS CAP, \
     	   TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') as DATA_BONIFICA \
	FROM PM_QUADRO_E2 PQD \
	  JOIN PROGRAMMA_MUSICALE PM ON PM.ID_PROGRAMMA_MUSICALE = PQD.ID_PROGRAMMA_MUSICALE \
	  JOIN PROGRAMMA_MUSICALE_EVENTO PME ON PME.ID_PROGRAMMA_MUSICALE = PM.ID_PROGRAMMA_MUSICALE \
	  JOIN CHIAVE_EVENTO CE ON CE.ID_PROGRAMMA_MUSICALE = PM.ID_PROGRAMMA_MUSICALE \
	WHERE PM.STATO='V' \
	      AND ( \
	        PQD.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') \
	        or PM.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') \
	        or PME.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') \
	      ) \
	      AND TRUNC(PM.DATA_158,'MONTH') >= TO_DATE('{from-year-month}','YYYY-MM') \
	      AND TRUNC(PM.DATA_158,'MONTH') <= TO_DATE('{to-year-month}','YYYY-MM')


# eventi pagati
pmdump.query.4.entity=PERF_EVENTI_PAGATI_BONIFICA
pmdump.query.4.sql= \
	SELECT VPQ.ID_EVENTO AS ID_EVENTO, \
	       VPQ.COD_VOCE_INCASSO AS VOCE_INCASSO, \
	       (CASE VPQ.SEPRAG WHEN '1700000' THEN L.COD_SEPRAG ELSE VPQ.SEPRAG END ) AS SEPRAG, \
	       VPQ.REVERSALE AS NUMERO_REVERSALE, \
	       VPQ.IMPORTO AS IMPORTO_DEM, \
	       TO_CHAR(VPQ.DATA,'YYYYMM') AS CONTABILITA, \
	       case  when VPQ.ID_TIPO_MODELLO = 1 then '501' \
	       WHEN VPQ.ID_TIPO_MODELLO = 17 OR VPQ.ID_TIPO_MODELLO = 7 THEN '221' \
	       Else '501' END as TIPO_DOCUMENTO_CONTABILE, \
	       (SELECT Q.NUM_FATTURA FROM QUIETANZA Q WHERE Q.ID_QUIETANZA = VPQ.ID_QUIETANZA) AS NUMERO_FATTURA, \
	       L.DENOMINAZIONE AS DENOMINAZIONE_LOCALE, \
	       S.CODICE_BA AS CODICE_BA_LOCALE, \
	       CS.CODICE AS CODICE_SPEI_LOCALE, \
	       EV.DATA_INIZIO AS DATA_INIZIO_EVENTO, \
	       EV.ORA_INIZIO AS ORA_INIZIO_EVENTO, \
	       NVL(GPE.ATTESI,0) AS NUMERO_PM_ATTESI, \
	       CASE WHEN GPE.COD_VOCE_INCASSO='2244' THEN (NVL(GPE.ATTESI,0) - NVL(GPE.GRUPPOPRINCIPALE,0)) ELSE 0 END AS NUMERO_PM_ATTESI_SPALLA, \
	       VPQ.COD_RAGGRUPPAMENTO AS CODICE_RAGGRUPPAMENTO, \
	       SED.DESCRIZIONE AS SEDE, \
	       CIR.DENOMINAZIONE AS AGENZIA, \
	       P.PROGRESSIVO_PROTOC AS PERMESSO, \
	       VPQ.DATA AS DATA_REVERSALE, \
           CASE WHEN CHIAVE_EVENTO.ID_EVENTO IS NULL THEN 0 ELSE 1 END as FLAG_EVENTO_DIGITALE \
      	   TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') as DATA_BONIFICA \
	FROM SPEI_ADMIN.VIEW_PMO_DISTRIBUZIONE VPQ \
	  JOIN EVENTO EV ON EV.ID_EVENTO = VPQ.ID_EVENTO \
	  LEFT JOIN PERMESSO_EVENTO PE ON EV.ID_EVENTO = PE.ID_EVENTO \
	  LEFT JOIN PERMESSO P ON PE.ID_PERMESSO = P.ID_PERMESSO \
	  JOIN CLASSE_EVENTO CE ON EV.ID_EVENTO = CE.ID_CLASSE_EVENTO \
	  JOIN SPAZIO S ON S.ID_SPAZIO = CE.ID_SPAZIO \
	  JOIN LOCALE L ON S.ID_LOCALE = L.ID_LOCALE \
	  JOIN CODICE_SPEI CS ON CS.ID_SPAZIO = S.ID_SPAZIO \
	  LEFT JOIN GPM_EVENTO GPE ON GPE.ID_EVENTO = EV.ID_EVENTO AND GPE.COD_VOCE_INCASSO = VPQ.COD_VOCE_INCASSO \
	  LEFT JOIN SEDE SED ON SED.COD_SEDE = SUBSTR(VPQ.SEPRAG,1,2) AND VPQ.SEPRAG <> '1700000' \
	  LEFT JOIN CIRCOSCRIZIONE CIR ON CIR.COD_SEPRAG =  VPQ.SEPRAG AND VPQ.SEPRAG <> '1700000' \
	  LEFT JOIN SEDE SED ON SED.COD_SEDE = SUBSTR(L.COD_SEPRAG,1,2) AND VPQ.SEPRAG = '1700000' \
	  LEFT JOIN CIRCOSCRIZIONE CIR ON CIR.COD_SEPRAG =  L.COD_SEPRAG AND VPQ.SEPRAG = '1700000' \
      LEFT JOIN CHIAVE_EVENTO  ON CHIAVE_EVENTO.ID_EVENTO=VPQ.ID_EVENTO \
	where SEPRAG=CS.COD_SEPRAG \
	      AND \
	      (EV.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') \
	       or PE.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') \
	       or P.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD') \
	      ) \
	      AND TRUNC(VPQ.DATA,'MONTH') >= TO_DATE('{from-year-month}','YYYY-MM') \
	      AND TRUNC(VPQ.DATA,'MONTH') <= TO_DATE('{to-year-month}','YYYY-MM')











